package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diaperusagerecod.ElderlyDiaperUsageRecodPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diaperusagerecod.ElderlyDiaperUsageRecodRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diaperusagerecod.ElderlyDiaperUsageRecodSaveReqVO;

public interface ElderlyDiaperUsageRecodService {

    Long create(ElderlyDiaperUsageRecodSaveReqVO createReqVO);

    void update(ElderlyDiaperUsageRecodSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDiaperUsageRecodRespVO get(Long id);

    PageResult<ElderlyDiaperUsageRecodRespVO> getPage(ElderlyDiaperUsageRecodPageReqVO pageReqVO);
}
